# Interface methods for submodule: Version
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: Version
class VersionProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def GetITKVersion():
		""""""
		...

	@staticmethod
	def GetITKMajorVersion() -> int:
		""""""
		...

	@staticmethod
	def GetITKMinorVersion() -> int:
		""""""
		...

	@staticmethod
	def GetITKBuildVersion() -> int:
		""""""
		...

	@staticmethod
	def GetITKSourceVersion():
		""""""
		...

